aboutsummaryrefslogtreecommitdiffhomepage
path: root/test.sh
diff options
context:
space:
mode:
authorGravatar Paul Beusterien <paulbeusterien@google.com>2018-01-03 12:12:22 -0800
committerGravatar GitHub <noreply@github.com>2018-01-03 12:12:22 -0800
commitf08b5044d64197a3227017ad44235a2bd7421691 (patch)
tree0ea97726a39d1746acf260f42ef35c18f363f4e2 /test.sh
parent9179dd86bfa507ede505c788a513e3824ad01856 (diff)
Add Community Supported tvOS (#590)
Add Community Supported tvOS for Core, Auth, Database and Storage. Add tvOS unit tests Add tvOS sample app Update README.md Add tvOS to travis testing
Diffstat (limited to 'test.sh')
-rwxr-xr-xtest.sh19
1 files changed, 18 insertions, 1 deletions
diff --git a/test.sh b/test.sh
index 627fbad..367205a 100755
--- a/test.sh
+++ b/test.sh
@@ -18,7 +18,7 @@ test_iOS() {
-workspace Example/Firebase.xcworkspace \
-scheme AllUnitTests_iOS \
-sdk iphonesimulator \
- -destination 'platform=iOS Simulator,OS=10.3.1,name=iPhone 7' \
+ -destination 'platform=iOS Simulator,name=iPhone 7' \
build \
test \
ONLY_ACTIVE_ARCH=YES \
@@ -39,6 +39,19 @@ test_macOS() {
| xcpretty
}
+test_tvOS() {
+ xcodebuild \
+ -workspace Example/Firebase.xcworkspace \
+ -scheme AllUnitTests_tvOS \
+ -sdk appletvsimulator \
+ -destination 'platform=tvOS Simulator,name=Apple TV' \
+ build \
+ test \
+ ONLY_ACTIVE_ARCH=YES \
+ CODE_SIGNING_REQUIRED=NO \
+ | xcpretty
+}
+
test_iOS; RESULT=$?
if [ $RESULT != 0 ]; then exit $RESULT; fi
@@ -54,5 +67,9 @@ fi
if [ $RESULT != 0 ]; then exit $RESULT; fi
+test_tvOS; RESULT=$?
+
+if [ $RESULT != 0 ]; then exit $RESULT; fi
+
# Also test Firestore
Firestore/test.sh